## com.ibm.lab.soln.resources.nature_builder
Class ActionListBuilders

    java.lang.Object
      |
      +--com.ibm.lab.soln.resources.ActionResourceAction
            |
            +--com.ibm.lab.soln.resources.nature_builder.ActionListBuilders

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

public class ActionListBuilders
extends ActionResourceAction

Implements an action that lists all the builders associated with the selected project.

This demonstrates the API for the project and project description workspace resources and how you might implement this logic in your tool.

See Also:
  `IProject`, `IProjectDescription`, `ICommand`

Fields inherited from class com.ibm.lab.soln.resources.ActionResourceAction
`selection`

Constructor Summary
`ActionListBuilders()` ActionListBuilders default constructor.

Method Summary
`void` | `listBuildCommands(org.eclipse.core.resources.IProject project)` Lists the builders associated with the passed project.
`void` | `run(org.eclipse.jface.action.IAction action)` Uses saved reference to selected project to call custom logic that lists the builder for the current project.

Methods inherited from class com.ibm.lab.soln.resources.ActionResourceAction
`resultError, resultInformation, resultQuestion, selectionChanged, setActivePart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionListBuilders

    public ActionListBuilders()

  ActionListBuilders default constructor.

Method Detail

### listBuildCommands

    public void listBuildCommands(org.eclipse.core.resources.IProject project)
                           throws org.eclipse.core.runtime.CoreException

  Lists the builders associated with the passed project.
  Parameters:
    `project` - selected project resource is input for processing

### run

    public void run(org.eclipse.jface.action.IAction action)

  Uses saved reference to selected project to call custom logic that lists the builder for the current project.
  Parameters:
    `action` - action proxy that handles the presentation portion of the plugin action
  See Also:
    `IActionDelegate.run(IAction)`